### Method

# WebKit2WebExtension Frame get_js_value_for_dom_object

#### Declaration [src]

    JSCValue*
    webkit_frame_get_js_value_for_dom_object (
      WebKitFrame* frame,
      WebKitDOMObject* dom_object
    )

#### Description [src]

Get a `JSCValue` referencing the given DOM object. The value is created in the JavaScript execution context of `frame`.

Available since: | 2.22
Deprecated since: | 2.40
Please do not use it in newly written code.

#### Parameters

`dom_object` | `WebKitDOMObject`
| A `WebKitDOMObject`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `JSCValue`
| The `JSCValue` referencing `dom_object`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.